/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RealmItem.java,v 1.3 2003/08/14 15:52:06 antonma Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin.security;

/**
 * @author Michel-Ange ANTON
 */
public class RealmItem {

// --------------------------------------------------------- Properties Variables

    private String name = null;
    private String type = null;
    private boolean usedBySecurityService = false;

// --------------------------------------------------------- Constructors

    public RealmItem() {
    }

    public RealmItem(String p_Name, String p_Type) {
        setName(p_Name);
        setType(p_Type);
    }

    public RealmItem(String p_Name, String p_Type, boolean p_UsedBySecurityService) {
        setName(p_Name);
        setType(p_Type);
        setUsedBySecurityService(p_UsedBySecurityService);
    }

// --------------------------------------------------------- Properties Methods

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public boolean isUsedBySecurityService() {
        return usedBySecurityService;
    }

    public void setUsedBySecurityService(boolean usedBySecurityService) {
        this.usedBySecurityService = usedBySecurityService;
    }

}