/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------$
 * --------------------------------------------------------------------------
 */

/**
 * This is an entity bean with "container managed persistence version 1.x".
 * This bean is used to test an entity with auto generated primary key
 * @author Jerome Camilleri
 */
package org.objectweb.jonas.jtests.beans.ebasic;

import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.BasicLevel;

/**
 *
 */
public class pkautoEC extends pkautoEC2 implements javax.ejb.EntityBean {


    // ------------------------------------------------------------------
    // State of the bean. 
    // ------------------------------------------------------------------
    public int field1;
    public int field2;
    public java.lang.Integer field3;

    // ------------------------------------------------------------------
    // Accessor for CMP fields
    // ------------------------------------------------------------------
    public  int getField1() {
        return field1;
    }
    public  void setField1(int f1) {
        field1 = f1;
    }
    public  int getField2() {
        return field2;
    }
    public  void setField2(int f2) {
        field2 = f2;
    }
    public java .lang.Integer getField3() {
        return field3;
    }
    public  void setField3(java.lang.Integer f3) {
        field3 = f3;
    }

}



