/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: C_jaxrpc.java,v 1.2 2003/06/06 12:32:18 joaninh Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.ws.clients.jaxrpc;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.objectweb.ws.util.JTestCase;

/**
 * link all the suites from this directory
 */
public class C_jaxrpc extends JTestCase {

    public C_jaxrpc(String name) {
	super(name);
    }

    public static Test suite() {
	TestSuite suite = new TestSuite();

	// put here the list of suites to run
	suite.addTest(F_ABEjbStub.suite());
    suite.addTest(F_ABEjbDII.suite());
    suite.addTest(F_ABClassStub.suite());
    suite.addTest(F_ABClassDII.suite());

	return suite;
    }

    public static void main (String args[]) {
        junit.textui.TestRunner.run(suite());
    }
}
