// FsbClientClient.java
// mini Local Client for accessing bean FsbClient

package org.objectweb.ws.beans.fsbclient;

import java.util.Collection;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 */
public class FsbClientClient {

    static Context ctx = null; 
    static FsbClientLocalHome home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "FsbClientHome";
	try {
	    home = (FsbClientLocalHome) ctx.lookup(bName);
	    FsbClientLocal bean = home.create();
            bean.method1();
	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
