// SSBClientClient.java
// mini Local Client for accessing bean SSBClient

package org.objectweb.ws.beans.ssbclient;

import java.util.Collection;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 */
public class SSBClientClient {

    static Context ctx = null; 
    static SSBClientLocalHome home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "SSBClientHome";
	try {
	    home = (SSBClientLocalHome) ctx.lookup(bName);
	    SSBClientLocal bean = home.create();
            bean.method1();
	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
