// SSBEndpointClient.java
// mini Local Client for accessing bean SSBEndpoint

package org.objectweb.ws.beans.ssbendpoint;

import java.util.Collection;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 */
public class SSBEndpointClient {

    static Context ctx = null; 
    static SSBEndpointLocalHome home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "SSBEndpointHome";
	try {
	    home = (SSBEndpointLocalHome) ctx.lookup(bName);
	    SSBEndpointLocal bean = home.create();
            bean.method1();
	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
