// @(#) 1.3 jsr109ri/samples/java/com/ibm/webservices/samples/complex1/Complex1Bean.java, jsr109ri, jsr109ri, a0241.01 10/9/02 17:55:54 [10/13/02 09:45:38]
/*************************************************************************
   Licensed Materials - Property of IBM
   WSEE1.0 (C) Copyright International Business Machines Corp. 2002
   All Rights Reserved.
   US Government Users Restricted Rights - Use, duplication or
   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**************************************************************************/
/*************************************************************************
   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
   OR PERFORMANCE OF THIS SOFTWARE.
**************************************************************************/

package com.ibm.webservices.samples.complex1;
import java.rmi.RemoteException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

public class Complex1Bean implements SessionBean {

   public Complex1Bean() {}
   public void ejbCreate() {}
   public void ejbRemove() {}
   public void ejbActivate() {}
   public void ejbPassivate() {}
   public void setSessionContext(SessionContext sc) {}

   public boolean testBoolean(boolean input) {
       return !input;
   }

   public byte testByte(byte input) {
       return (byte)(input+1);
   }

   public char testChar(char input) {
       return (char)(input+1);
   }

   public int testInt(int input) {
       return input+1;
   }

   public short testShort(short input) {
       return (short)(input+1);
   }

   public long testLong(long input) {
        return input+1;
   }

   public float testFloat(float input) {
       return (float)(input+1.0);
   }

   public double testDouble(double input) {
       return input + (double)1.0;
   }

   public String testString(String input) {
       return input + " to you too!";
   }

   public ComplexSer1 testSerializable1(ComplexSer1 input) {
       ComplexSer1 ret = new ComplexSer1();
       ret.setX(input.getX()+1);
       ret.setY(input.getY() +1);
       return ret;
  }

}
