// @(#) 1.4 jsr109ri/samples/java/com/ibm/webservices/samples/complex1/Complex1Ws.java, jsr109ri, jsr109ri, a0241.01 10/9/02 17:56:24 [10/13/02 09:45:39]
/*************************************************************************
   Licensed Materials - Property of IBM
   WSEE1.0 (C) Copyright International Business Machines Corp. 2002
   All Rights Reserved.
   US Government Users Restricted Rights - Use, duplication or
   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**************************************************************************/
/*************************************************************************
   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
   OR PERFORMANCE OF THIS SOFTWARE.
**************************************************************************/

package com.ibm.webservices.samples.complex1;
import java.rmi.Remote;
import java.rmi.RemoteException;

public interface Complex1Ws extends Remote {
   public boolean testBoolean(boolean input) throws RemoteException;
   public byte testByte(byte input) throws RemoteException;
   // NOTE: char not supported in jaxrpc
   // public char testChar(char input) throws RemoteException;
   public int testInt(int input) throws RemoteException;
   public short testShort(short input) throws RemoteException;
   public long testLong(long input) throws RemoteException;
   public float testFloat(float input) throws RemoteException;
   public double testDouble(double input) throws RemoteException;
   public String testString(String input) throws RemoteException;
   public ComplexSer1 testSerializable1(ComplexSer1 input) throws RemoteException;
}
