// @(#) 1.5 jsr109ri/samples/java/com/ibm/webservices/samples/hello/HelloTrueWsClient.java, jsr109ri, jsr109ri, a0241.01 10/9/02 17:58:32 [10/13/02 09:45:41]
/*************************************************************************
   Licensed Materials - Property of IBM
   WSEE1.0 (C) Copyright International Business Machines Corp. 2002
   All Rights Reserved.
   US Government Users Restricted Rights - Use, duplication or
   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**************************************************************************/
/*************************************************************************
   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
   OR PERFORMANCE OF THIS SOFTWARE.
**************************************************************************/

package com.ibm.webservices.samples.hello;

import java.net.URL;
import javax.naming.*;

public class HelloTrueWsClient
{
   public static void main(String[] args)
   {
       try {
	   InitialContext ctx = new InitialContext();
           javax.xml.rpc.Service svc = (javax.xml.rpc.Service)  ctx.lookup("java:comp/env/service/HelloWsService1");

           HelloWs h = (HelloWs) svc.getPort(HelloWs.class);


           String input = "hello there";
           String output = h.sayHello(input);
           System.out.println("input: "+ input);
           System.out.println("output: "+ output);

           System.exit(0);

       } catch (Exception ex) {
           ex.printStackTrace();
       }
   }
};
