// WsClient3Client.java
// mini Local Client for accessing bean WsClient3

package org.objectweb.wsunit.beans.fakeclient;

import java.util.Collection;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 */
public class WsClient3Client {

    static Context ctx = null; 
    static WsClient3LocalHome home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "WsClient3Home";
	try {
	    home = (WsClient3LocalHome) ctx.lookup(bName);
	    WsClient3Local bean = home.create();
            bean.method1();
	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
