<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">

<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionEditMailService"><bean:message key="tab.mailservice"/></sj:tab>
  <sj:tab forward="ActionListSessionMailFactories"><bean:message key="tab.mailservice.sessions"/></sj:tab>
  <sj:tab forward="ActionListMimePartMailFactories"><bean:message key="tab.mailservice.mimeparts"/></sj:tab>
  <sj:tab forward="ActionEditMimePartMailFactory"><bean:write name="mailFactoryForm" property="mailFactoryName"/></sj:tab>
  <sj:tab forward="MimePart Mail Factory Used By" selected="true"><bean:message key="tab.mailservice.mailfactory.usedby"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:message key="title.mailservice.mailfactory.usedby.ejb"/></sj:jgColTitle>
        <sj:jgColTitle><bean:message key="title.mailservice.mailfactory.usedby.type"/></sj:jgColTitle>
        <sj:jgColTitle><bean:message key="title.mailservice.mailfactory.usedby.container"/></sj:jgColTitle>
      </sj:jgRowTitle>
      <logic:iterate id="item" name="mailFactoryForm" property="listUsedByEjb">
        <sj:gridrow>
          <sj:gridcol>
            <logic:equal name="item" property="typeString" value="Bmp">
              <html:link forward="ActionEditEjbBmp" styleClass="panel"
                name="item" property="editLinkParameters">
                <bean:write name="item" property="name"/>
              </html:link>
            </logic:equal>
            <logic:equal name="item" property="typeString" value="Cmp">
              <html:link forward="ActionEditEjbCmp" styleClass="panel"
                name="item" property="editLinkParameters">
                <bean:write name="item" property="name"/>
              </html:link>
            </logic:equal>
            <logic:equal name="item" property="typeString" value="Sbf">
              <html:link forward="ActionEditEjbSbf" styleClass="panel"
                name="item" property="editLinkParameters">
                <bean:write name="item" property="name"/>
              </html:link>
            </logic:equal>
            <logic:equal name="item" property="typeString" value="Sbl">
              <html:link forward="ActionEditEjbSbl" styleClass="panel"
                name="item" property="editLinkParameters">
                <bean:write name="item" property="name"/>
              </html:link>
            </logic:equal>
            <logic:equal name="item" property="typeString" value="Mdb">
              <html:link forward="ActionEditEjbMdb" styleClass="panel"
                name="item" property="editLinkParameters">
                <bean:write name="item" property="name"/>
              </html:link>
            </logic:equal>
          </sj:gridcol>
          <sj:gridcol><bean:write name="item" property="typeString"/></sj:gridcol>
          <sj:gridcol>
              <html:link forward="ActionEditContainer" styleClass="panel"
                paramId="path" paramName="item" paramProperty="filename">
                <bean:write name="item" property="filename"/>
              </html:link>
          </sj:gridcol>
        </sj:gridrow>
      </logic:iterate>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

