/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Xavier Delplanque
 * --------------------------------------------------------------------------
 * $Id: URLWSDLHandler.java,v 1.3 2003/09/02 15:38:24 delplanx Exp $
 * --------------------------------------------------------------------------
*/

package org.objectweb.jonas.ws.handler;

import org.objectweb.jonas.ws.WSServiceException;

import org.objectweb.jonas_ws.deployment.api.WSDLFile;

/*
import java.io.IOException;
import java.io.File;
import java.io.FileWriter;

import javax.wsdl.xml.WSDLWriter;
import javax.wsdl.factory.WSDLFactory;
import javax.wsdl.WSDLException;
*/
/**
 * In charge of published a given WSDL to an URL.
 *
 * @author Guillaume Sauthier & Xavier Delplanque
 */
public class URLWSDLHandler implements WSDLHandler {
    /**
     * Return a new instance of URLWSDLHandler.
     *
     * @param fileName the directory to publish WSDLs
     * @return a new instance of URLWSDLHandler.
     */
    public URLWSDLHandler()
	throws WSServiceException {
    }

    /**
     * Publish the given WSDL to the url location.
     *
     * @param wsdl the wsdl file to publish.
     */
    public void publish(WSDLFile wsdl)
	throws WSServiceException {
    }
}
