// Cmp1ClientClient.java
// mini Local Client for accessing bean Cmp1Client

package org.objectweb.ws.beans.cmp1client;

import java.util.Collection;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 */
public class Cmp1ClientClient {

    static Context ctx = null; 
    static Cmp1ClientLocalHome home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "Cmp1ClientHome";
	try {
	    home = (Cmp1ClientLocalHome) ctx.lookup(bName);
            Cmp1ClientLocal bean = home.create(10,20,new Integer(2003));
            bean.method1();
	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
