// Cmp2ClientClient.java
// mini Local Client for accessing bean Cmp2Client

package org.objectweb.ws.beans.cmp2client;

import java.util.Collection;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 */
public class Cmp2ClientClient {

    static Context ctx = null; 
    static Cmp2ClientLocalHome home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "Cmp2ClientHome";
	try {
	    home = (Cmp2ClientLocalHome) ctx.lookup(bName);
            Cmp2ClientLocal bean = home.create(10,20,new Integer(2003));
            bean.setField2(99);
	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
