// WsClient1Client.java
// mini Local Client for accessing bean WsClient1

package org.objectweb.wsunit.beans.fakeclient;

import java.util.Collection;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 */
public class WsClient1Client {

    static Context ctx = null; 
    static WsClient1LocalHome home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "WsClient1Home";
	try {
	    home = (WsClient1LocalHome) ctx.lookup(bName);
            WsClient1Local bean = home.create(10,20,"AA");
            bean.method1();
	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
